- Add ACPI table override ability - Adjust mkinitrd-dracut.sh to SUSE mkinitrd: <none> : Before gives a "usage" error -> now scans /boot for kernels and builds corresponding inirtrds for them -i -k : Pass a list of kernels and initrd targets (not sure it was worth the hassle to be able to pass) -b : Boot directory to search for kernel images -d : Change root file system. Not tested whether dracut's behavior matches exactly what our mkinitrd does. -s : Dummy (should even be obsolete in latest mkinitrd) - Write caller and used parameters to syslog if mkinitrd is called. So that those can easily be fixed and checked for correctness. This should get reverted again before a bigger release. OBS-URL: https://build.opensuse.org/request/show/201877 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=56
32 lines
1.1 KiB
Plaintext
32 lines
1.1 KiB
Plaintext
mkinitrd-dracut.sh: Also allow -d to specify the root_fs and -s dummy
|
|
|
|
-d is the SUSE mkinitrd version option to pass the rootfs.
|
|
-s is to enable splash which may not be needed, but some callers rely on it,
|
|
not to return an error.
|
|
|
|
Make this wrapper compatible to it.
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
|
|
Index: dracut-033/mkinitrd-dracut.sh
|
|
===================================================================
|
|
--- dracut-033.orig/mkinitrd-dracut.sh
|
|
+++ dracut-033/mkinitrd-dracut.sh
|
|
@@ -124,7 +124,7 @@ while (($# > 0)); do
|
|
--preload) read_arg modname "$@" || shift $?
|
|
basicmodules="$basicmodules $modname";;
|
|
--image-version) img_vers=yes;;
|
|
- --rootfs) read_arg rootfs "$@" || shift $?
|
|
+ --rootfs|-d) read_arg rootfs "$@" || shift $?
|
|
dracut_args="${dracut_args} --filesystems $rootfs";;
|
|
--nocompress) dracut_args="$dracut_args --no-compress";;
|
|
--help) usage -n;;
|
|
@@ -151,6 +151,7 @@ while (($# > 0)); do
|
|
--looppath*) ;;
|
|
--dsdt*) ;;
|
|
--bootchart) ;;
|
|
+ -s) ;;
|
|
--quiet|-q) quiet=1;;
|
|
-b) read_arg boot_dir "$@" || shift $?
|
|
if [ ! -d $boot_dir ];then
|